var Tr = {
    plain: {
        name: "Plain",
        def: 0,
        avoid: 0,
        heal: 0,
        cost: 1,
        Lord: 0,
        Pegasusknight: 0,
        Falcoknight: 0,
        Cavalier: 0,
        Paladin: 0,
        Knight: 0,
        General: 0,
        Archer: 0,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: 0,
        Fighter: 0,
        Nomad: 0,
        Thief: 0
    },
    fort: {
        name: "Fort",
        def: 1,
        avoid: 15,
        heal: 20,
        cost: 2,
        Lord: 0,
        Pegasusknight: -1,
        Falcoknight: -1,
        Cavalier: 0,
        Paladin: 0,
        Knight: 0,
        General: 0,
        Archer: 0,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: -1,
        Fighter: 0,
        Nomad: 0,
        Thief: 0
    },
    forest: {
        name: "Forest",
        def: 0,
        avoid: 10,
        heal: 0,
        cost: 2,
        Lord: 0,
        Pegasusknight: -1,
        Falcoknight: -1,
        Cavalier: 1,
        Paladin: 1,
        Knight: 0,
        General: 0,
        Archer: 1,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: -1,
        Fighter: 0,
        Nomad: 1,
        Thief: 0
    },
    desert: {
        name: "Desert",
        def: 0,
        avoid: 0,
        heal: 0,
        cost: 2,
        Lord: 0,
        Pegasusknight: -1,
        Falcoknight: -1,
        Cavalier: 2,
        Paladin: 1,
        Knight: 0,
        General: 1,
        Archer: 1,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: -1,
        Sage: -1,
        Brigand: -1,
        Fighter: 0,
        Nomad: 2,
        Thief: -1
    },
    river: {
        name: "River",
        def: 0,
        avoid: 0,
        heal: 0,
        cost: 99,
        Lord: -94,
        Pegasusknight: -98,
        Falcoknight: -98,
        Cavalier: 0,
        Paladin: 0,
        Knight: 0,
        General: 0,
        Archer: 0,
        Sniper: -95,
        Mercenary: 0,
        Hero: -94,
        Myrmidon: 0,
        Swordmaster: -94,
        Pirate: -97,
        Berserker: -97,
        Mage: 0,
        Sage: 0,
        Brigand: -94,
        Fighter: -94,
        Nomad: 0,
        Thief: -94
    },
    mountain: {
        name: "Mountain",
        def: 1,
        avoid: 20,
        heal: 0,
        cost: 4,
        Lord: 0,
        Pegasusknight: -3,
        Falcoknight: -3,
        Cavalier: 99,
        Paladin: 2,
        Knight: 99,
        General: 99,
        Archer: 99,
        Sniper: -1,
        Mercenary: 0,
        Hero: -1,
        Myrmidon: 0,
        Swordmaster: -1,
        Pirate: 0,
        Berserker: -1,
        Mage: 0,
        Sage: 0,
        Brigand: -2,
        Fighter: 0,
        Nomad: 99,
        Thief: 99
    },
    peak: {
        name: "Peak",
        def: 0,
        avoid: 0,
        heal: 0,
        cost: 99,
        Lord: 0,
        Pegasusknight: -98,
        Falcoknight: -98,
        Cavalier: 0,
        Paladin: 0,
        Knight: 0,
        General: 0,
        Archer: 0,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: -96,
        Fighter: 0,
        Nomad: 0,
        Thief: 0
    },
    sea: {
        name: "Sea",
        def: 0,
        avoid: 20,
        heal: 0,
        cost: 99,
        Lord: 0,
        Pegasusknight: -98,
        Falcoknight: -98,
        Cavalier: 0,
        Paladin: 0,
        Knight: 0,
        General: 0,
        Archer: 0,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: -97,
        Berserker: -97,
        Mage: 0,
        Sage: 0,
        Brigand: -96,
        Fighter: 0,
        Nomad: 0,
        Thief: 0
    },
    floor: {
        name: "floor",
        def: 0,
        avoid: 0,
        heal: 0,
        cost: 1,
        Lord: 0,
        Pegasusknight: 0,
        Falcoknight: 0,
        Cavalier: 0,
        Paladin: 0,
        Knight: 0,
        General: 0,
        Archer: 0,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: 0,
        Fighter: 0,
        Nomad: 0,
        Thief: 0
    },
    wall: {
        name: "Wall",
        def: 0,
        avoid: 0,
        heal: 0,
        cost: 99,
        Lord: 0,
        Pegasusknight: 0,
        Falcoknight: 0,
        Cavalier: 0,
        Paladin: 0,
        Knight: 0,
        General: 0,
        Archer: 0,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: 0,
        Fighter: 0,
        Nomad: 0,
        Thief: 0
    },
    pillar: {
        name: "Pillar",
        def: 0,
        avoid: 10,
        heal: 0,
        cost: 2,
        Lord: 0,
        Pegasusknight: -1,
        Falcoknight: -1,
        Cavalier: 1,
        Paladin: 1,
        Knight: 0,
        General: 0,
        Archer: 1,
        Sniper: 0,
        Mercenary: 0,
        Hero: 0,
        Myrmidon: 0,
        Swordmaster: 0,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: 0,
        Fighter: 0,
        Nomad: 0,
        Thief: 0
    },
    ledge: {
        name: "Ledge",
        def: 0,
        avoid: 0,
        heal: 0,
        cost: 4,
        Lord: 0,
        Pegasusknight: 0,
        Falcoknight: 0,
        Cavalier: 99,
        Paladin: 6,
        Knight: 99,
        General: 99,
        Archer: 99,
        Sniper: -1,
        Mercenary: 0,
        Hero: -1,
        Myrmidon: 0,
        Swordmaster: -1,
        Pirate: 0,
        Berserker: 0,
        Mage: 0,
        Sage: 0,
        Brigand: 0,
        Fighter: -1,
        Nomad: 99,
        Thief: -1
    }
};